@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
a{
    text-decoration: none;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    /* min-width: 100vh; */
    background: #161623;
}
body::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(#f00, #f0f);
    clip-path: circle(30% at right 70%);
}
body::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(#2196f3, #e91e63);
    clip-path: circle(20% at 10% 10%);
}

.geral{
    width: 100%;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    z-index: 1;
    padding: 1em 0;
}
.geral .titulo{
    color: #fff;
    text-align: center;
    padding: 1em;
}

.container{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 1200px;
    flex-wrap: wrap;
    /* z-index: 1; */
}
.container .card{
    position: relative;
    width: 100px;
    height: 100px;
    margin: 10px;
    box-shadow: 20px 20px 50px rgba(0,0,0,0.5);
    border-radius: 15px;
    background: rgba( 255, 255, 255,0.1);
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center; 
    border-top: 1px solid rgba(255, 255, 255, 0.5);
    border-left: 1px solid rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(5px);
}
.container .avagoogle{
    width: 200px;
    height: 150px;
}
.container .card .content{
    padding: 20px;
    text-align: center;
    /* transform: translateY(100px); */
    /* opacity: 0; */
    transition: 0.5s;
}
.container .card .content h3{
    font-size: 12pt;
    color: #fff;
    z-index: 1;
}
.container .card .content svg{
    width: 40px;
}


.container .login{
    width: 320px;
    height: 130px;
}
.container .login .log{
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    margin: 15px;
    /* transform: translateY(100px); */
    /* opacity: 0; */
    transition: 0.5s;
    color: #fff;
}


#svg {
    height: 50px;
    width: 50px;
    stroke: #ddd;
    fill-opacity: 0;
    stroke-width: 20px;
    stroke-dasharray: 4500;
    animation: draw 8s ease infinite;
  }
  @keyframes draw {
    0% {
      stroke-dashoffset: 4500;
    }
    100% {
      stroke-dashoffset: 0;
    }
  }

  @media (min-width: 720px) {
    .container .card{
        width: 150px;
        height: 150px;
    }
    .container .avagoogle{
        width: 200px;
        height: 150px;
    }
    .container .login{
        width: 450px;
        height: 100px;
    }
  }